gslvector_lib = static_library('gslvector',
	[
		'init.c',
		'file.c',
		'vector.c',
		'copy.c',
		'swap.c',
		'prop.c',
		'minmax.c',
		'oper.c',
		'reim.c',
		'subvector.c',
		'view.c',
		'view.h'
	],
	include_directories : '..'
)
gslvector_dep = declare_dependency(link_with : gslvector_lib)


gsl_tests += [ 
	[ 'GSL Vector Test',          files('test.c')        ],
	[ 'GSL Vector Test (static)', files('test_static.c') ] 
]
